[**@rxap/ngx-bootstrap**](../README.md)

***

[@rxap/ngx-bootstrap](../globals.md) / ApplicationAfterFunction

# Type Alias: ApplicationAfterFunction()\<Ref\>

> **ApplicationAfterFunction**\<`Ref`\>: (`app`, `config`, `logger`) => `any` \| `Promise`\<`any`\>

Defined in: [application.ts:27](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L27)

## Type Parameters

• **Ref** *extends* [`RefWithInjector`](../interfaces/RefWithInjector.md)

## Parameters

### app

`Ref`

### config

`ConfigService`

### logger

`NGXLogger`

## Returns

`any` \| `Promise`\<`any`\>
